Cyberduck Mountain Duck CLI

#4557 closed enhancement (fixed)

"Go To Folder" works badly with tilde character

Reported by: zakmck Owned by: dkocher
Priority: low Milestone: 4.4
Component: interface Version: 3.5
Severity: normal Keywords: change directory tilde
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

When I issue the "Go To Folder" command and I pass '~' as argument, this is added to the current work dir, eg: if I am in /usr/local, CyberDuck attempts to cd to /usr/local/~. ~ means user home under Unix and either it should be passed to the server as-is. I've tried it with SFTP, but I guess FTP or similar protocols work the same.

Change History (3)

comment:1 Changed on Jun 18, 2010 at 2:46:39 AM by dkocher

  • Component changed from core to interface
  • Priority changed from normal to low

comment:2 Changed on Nov 29, 2010 at 10:45:45 AM by dkocher

  • Type changed from defect to enhancement

comment:3 Changed on Sep 11, 2013 at 10:08:13 AM by dkocher

  • Milestone set to 4.4
  • Resolution set to fixed
  • Status changed from new to closed

In r12827.

Note: See TracTickets for help on using tickets.
swiss made software